package net.shadowfacts.phycon.component

import net.shadowfacts.phycon.api.NetworkDevice
import net.shadowfacts.phycon.util.ClientConfigurableDevice

/**
 * @author shadowfacts
 */
interface NetworkStackProvider: NetworkDevice, ClientConfigurableDevice {

	var providerPriority: Int

	fun canConfigureProviderPriority(): Boolean {
		return true
	}

}
